<?php
add_filter( 'mycred_buycred_get_cost', 'mycredpro_buyred_volume_pricing', 10, 2 );
function mycredpro_buyred_volume_pricing( $cost, $amount ) {
	// If buying  points
	if ( $amount == 2500 )
		return 19.99;

	// If buying 14500 points
	if ( $amount == 14500 )
		return 99.99;

	return $cost;
}